-- LUALOCALS < ---------------------------------------------------------
local klots, minetest
    = klots, minetest
-- LUALOCALS > ---------------------------------------------------------

minetest.register_on_joinplayer(function(player)
		player:set_properties({pointable = false})
		player:set_armor_groups({
				immortal = 1,
				fall_damage_add_percent = -100
			})
		local inv = player:get_inventory()
		inv:set_size("main", klots.editmode and 60 or 1)
		if klots.editmode then
			player:set_inventory_formspec("size[10,6]"
				.. "list[current_player;main;0,0;10,6;]")
		else
			player:get_inventory():set_stack("main", 1, "")
		end
	end)
